#pragma once

#if SELFSERVICE
#include "enum_selfservice.h"
#else
#include "enum_uidialoglib3.h"
#endif

#define SOCK_PATH_LEN 200
#define TOTAL_FUNCTIONS 40

#include <string>



extern "C"{

	typedef void (* PF)(int[], std::string[]);

	#pragma pack (push, 1)
	struct webkit_message{

		func_enum func_name;
		int total_int_args;
		int total_string_args;
		int total_len_of_string;
		char serialized_arg[];

	};
	#pragma pack (pop)
	typedef struct webkit_message webkit_message;
}

#define BUFSIZE 5000000