/* 
This class is created to handle the communication part with webkit extensions. 
*/
#pragma once

#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <sys/un.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string>
#include <pthread.h>
#include "trace_v2.h"
#include "assert.h"
#include <signal.h>

#include "webkit_util.h"
/* This macro is the maximum total number of functions that can be received in this process*/ 
// #define TOTAL_FUNCTIONS 30

class webkit_server{

    public:
    static void* initCommWrapper(void* ws);
    pthread_t recv_thread_id;
    int client_fd;
    // void (*func_array[TOTAL_FUNCTIONS + 1])(int[], std::string[]);
    PF* func_array;
    int client_pid; //This is the extension pid
    std::string socket_path; // Socket Path 
    // pthread_t webkit_comm_thread;
    // pthread_mutex_t recvMessageLock;
    webkit_server(PF* arr, std::string sock);
    void sendMessage(webkit_message* &s);
    void initComm(PF* arr, char* sock);
    void *sinitComm();
    void recvMessage();
    void processMessage(webkit_message* &s);
    void deinitComm();


};